Pre-2007 MBP - Stuck On 10.6.8?

Discussion in 'MacBook Pro' started by JCWarrior, Sep 5, 2012.

  1. JCWarrior macrumors newbie

    Joined:
    Aug 24, 2012
    #1
    I have a pre-2007 MBP and I just noticed that I can not upgrade my OS X beyond 10.6.8.

    Maybe a dumb question but I'm assuming I'm going to get left behind at some point and be foreced to get a new system, right?

    I use this 95% for recording so I haven't had the need to upgrade. I did just upgrade my HDD to an SSD.
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
    There is no need to upgrade to a new version of Mac OS X unless your current version no longer meets your needs. I still use Snow Leopard by choice, as neither Lion nor Mountain Lion has anything I need or want.
     
  3. JCWarrior thread starter macrumors newbie

    Joined:
    Aug 24, 2012
    #3
    Cool, thanks!
     

Share This Page